import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'chat' },
})
export class Chat extends BaseModel {
  @prop({ required: false, index: true, zh: '发送者id' })
  sender_id: string;
  @prop({ required: false, index: false, zh: '接收者id' })
  receiver_id: string;
  @prop({ required: false, index: false, zh: '内容类型' })
  type: string;
  @prop({ required: false, index: true, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '发送时间' })
  send_time: string;
  @prop({ required: false, index: false, zh: '是否已读', default: '0' })
  is_read: string;
}
