import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'collection' },
})
export class Collection extends BaseModel {
  @prop({ required: false, index: true, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: true, zh: '来源id' })
  source: string;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '收藏时间' })
  time: string;
}
