import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'design' },
})
export class Design extends BaseModel {
  @prop({ required: false, index: false, zh: '标题' })
  zhTitle: string;
  @prop({ required: false, index: false, zh: '英文标题' })
  zhEnglish: string;
  @prop({ required: false, index: false, zh: '简介' })
  zhBrief: string;
  @prop({ required: false, index: false, zh: '使用协议' })
  agreement: string;
  @prop({ required: false, index: false, zh: '关于我们' })
  brief: string;
  @prop({ required: false, index: false, zh: 'logo' })
  logoUrl: Array<any>;
  @prop({ required: false, index: false, zh: '视频' })
  videoUrl: Array<any>;
  @prop({ required: false, index: false, zh: '网站底部信息' })
  footInfo: object;
}
