import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dept' },
})
export class Dept extends BaseModel {
  @prop({'required':false,'index':false,'zh':'部门名称'})
  name: string
  @prop({'required':false,'index':false,'zh':'资源权限'})
  resource: Array<any>
  @prop({'required':false,'index':false,'zh':'上级部门id'})
  parent_id: string
  @prop({'required':false,'index':false,'zh':'使用状态','remark':'0使用;1禁用','default':'0'})
  is_use: string
  @prop({'required':false,'index':false,'zh':'是否是总部门','remark':'0:是;1否','default':'1'})
  is_super: string
  @prop({'required':false,'index':false,'zh':'排序'})
  order_num: number
}
