import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Association } from '../../entity/users/association.entity';
type modelType = ReturnModelType<typeof Association>;
@Provide()
export class AssociationService extends BaseService<modelType> {
  @InjectEntityModel(Association)
  model: modelType;
}
