import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Investment } from '../../entity/users/investment.entity';
type modelType = ReturnModelType<typeof Investment>;
@Provide()
export class InvestmentService extends BaseService<modelType> {
  @InjectEntityModel(Investment)
  model: modelType;
}
