import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'sign' },
})
export class Sign extends BaseModel {
  @prop({ required: false, index: true, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: true, zh: '赛事id' })
  match: string;
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: false, zh: '电话号' })
  phone: string;
  @prop({ required: false, index: false, zh: '证件类型' })
  cardType: string;
  @prop({ required: false, index: false, zh: '证件号码' })
  card: string;
  @prop({ required: false, index: false, zh: '微信/QQ' })
  communication: string;
  @prop({ required: false, index: false, zh: '电子邮箱' })
  email: string;
  @prop({ required: false, index: false, zh: '报名时间' })
  time: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
