import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'tags' },
})
export class Tags extends BaseModel {
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: true, zh: '类型', default: '1' })
  type: string;
  @prop({ required: false, index: false, zh: '路由' })
  href: string;
  @prop({ required: false, index: false, zh: '英文标题' })
  English: string;
  @prop({ required: false, index: false, zh: '子菜单' })
  children: Array<any>;
  @prop({ required: false, index: false, zh: '排序' })
  sort: number;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
  @prop({ required: false, index: false, zh: '是否使用', default: '0' })
  is_use: string;
}
