import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Collection } from '../../entity/platform/collection.entity';
type modelType = ReturnModelType<typeof Collection>;
@Provide()
export class CollectionService extends BaseService<modelType> {
  @InjectEntityModel(Collection)
  model: modelType;
  // 取消收藏
  async cancel(data) {
    const { user, source } = data;
    await this.model.deleteOne({ user, source });
  }
}
