import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Tags } from '../../entity/platform/tags.entity';
type modelType = ReturnModelType<typeof Tags>;
@Provide()
export class TagsService extends BaseService<modelType> {
  @InjectEntityModel(Tags)
  model: modelType;
}
